怎样启动Gnome

为当前最终发行版之前的所有版本提供支持
回复
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

怎样启动Gnome

#1

帖子 Sunmover » 2010-12-19 19:41

安装了Gnome Shell,但是不知道启动,重启系统也没有任何变化。。。

代码: 全选

sudo apt-get install gnome-shell
附件
Gnome-shell.png
Gnome-shell.png (8.98 KiB) 查看 1303 次
levee
帖子: 3030
注册时间: 2009-10-03 23:31
送出感谢: 0
接收感谢: 13 次

Re: 怎样启动Gnome

#2

帖子 levee » 2010-12-19 20:35

安装显卡驱动,开启3D特效。
头像
速腾1994
论坛版主
帖子: 17363
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: 怎样启动Gnome

#3

帖子 速腾1994 » 2010-12-19 20:47

gnome-shell --replace?
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 怎样启动Gnome

#4

帖子 Sunmover » 2010-12-19 20:53

levee 写了:安装显卡驱动,开启3D特效。
我是在Ubuntu 10.10基础上安装的Gnome Shell(使用的上面的命令),本身已经安装了官方显卡驱动,安装了Compiz开启了3D特效。。。

请问是不这样的话就不需要进行重复操作了呢?或者说所有工作已经完成,本应该显示效果的。
(看了网上的截图,发现与Gnome2有很大区别的,但是我重启了几次系统但什么变化也没发现,是不是还有一些设置没有完成?)
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 怎样启动Gnome

#5

帖子 Sunmover » 2010-12-19 20:55

速腾1994 写了:gnome-shell --replace?
提示No such file or directory :em19
附件
terminal.png
头像
速腾1994
论坛版主
帖子: 17363
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: 怎样启动Gnome

#6

帖子 速腾1994 » 2010-12-19 21:26

sudo?
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 怎样启动Gnome

#7

帖子 Sunmover » 2010-12-19 22:24

速腾1994 写了:sudo?
附件
terminal.png
头像
速腾1994
论坛版主
帖子: 17363
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: 怎样启动Gnome

#8

帖子 速腾1994 » 2010-12-19 22:42

11.04无法测试

代码: 全选

mm@mm-desktop:~$ sudo apt-get install gnome-shell
[sudo] password for mm: 
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
 gnome-shell : 依赖: gir1.0-atk-1.0 但是它将不会被安装
               依赖: gir1.0-clutter-1.0
               依赖: gir1.0-freedesktop 但是它将不会被安装
               依赖: gir1.0-gdkpixbuf-2.0 但是它将不会被安装
               依赖: gir1.0-glib-2.0 (>= 0.6.15~git20100713) 但是它将不会被安装
               依赖: gir1.0-gtk-2.0 但是它将不会被安装
               依赖: gir1.0-json-glib-1.0 但是它将不会被安装
               依赖: gir1.0-pango-1.0 但是它将不会被安装
               依赖: gir1.0-gconf-2.0 (>= 2.31.5) 但是它将不会被安装
               依赖: libgirepository1.0-1 (>= 0.6.3)
               依赖: libgjs0a (>= 0.7.1) 但无法安装它
E: 破损的软件包
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 怎样启动Gnome

#9

帖子 Sunmover » 2010-12-19 22:58

速腾1994 写了: 11.04无法测试
我的10.10没出现错误。。。

代码: 全选

localuser@localhost:/$ sudo apt-get install gnome-shell
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
将会安装下列额外的软件包:
  gir1.0-atk-1.0 gir1.0-clutter-1.0 gir1.0-freedesktop gir1.0-gconf-2.0
  gir1.0-gdkpixbuf-2.0 gir1.0-gtk-2.0 gir1.0-json-glib-1.0 gir1.0-mutter-2.31
  gir1.0-pango-1.0 gjs libgjs0a xserver-xephyr
下列【新】软件包将被安装:
  gir1.0-atk-1.0 gir1.0-clutter-1.0 gir1.0-freedesktop gir1.0-gconf-2.0
  gir1.0-gdkpixbuf-2.0 gir1.0-gtk-2.0 gir1.0-json-glib-1.0 gir1.0-mutter-2.31
  gir1.0-pango-1.0 gjs gnome-shell libgjs0a xserver-xephyr
升级了 0 个软件包,新安装了 13 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0B/2,306kB 的软件包。
解压缩后会消耗掉 7,242kB 的额外空间。
您希望继续执行吗?[Y/n]y
选中了曾被取消选择的软件包 gir1.0-atk-1.0。
(正在读取数据库 ... 系统当前共安装有 166642 个文件和目录。)
正在解压缩 gir1.0-atk-1.0 (从 .../gir1.0-atk-1.0_1.32.0-0ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-freedesktop。
正在解压缩 gir1.0-freedesktop (从 .../gir1.0-freedesktop_0.9.3-0ubuntu4_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-json-glib-1.0。
正在解压缩 gir1.0-json-glib-1.0 (从 .../gir1.0-json-glib-1.0_0.10.2-2ubuntu2_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-pango-1.0。
正在解压缩 gir1.0-pango-1.0 (从 .../gir1.0-pango-1.0_1.28.2-0ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-clutter-1.0。
正在解压缩 gir1.0-clutter-1.0 (从 .../gir1.0-clutter-1.0_1.2.12-0ubuntu13_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-gconf-2.0。
正在解压缩 gir1.0-gconf-2.0 (从 .../gir1.0-gconf-2.0_2.31.91-0ubuntu3.1_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-gdkpixbuf-2.0。
正在解压缩 gir1.0-gdkpixbuf-2.0 (从 .../gir1.0-gdkpixbuf-2.0_2.22.0-0ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-gtk-2.0。
正在解压缩 gir1.0-gtk-2.0 (从 .../gir1.0-gtk-2.0_2.22.0-0ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 gir1.0-mutter-2.31。
正在解压缩 gir1.0-mutter-2.31 (从 .../gir1.0-mutter-2.31_2.31.5-0ubuntu9_i386.deb) ...
选中了曾被取消选择的软件包 xserver-xephyr。
正在解压缩 xserver-xephyr (从 .../xserver-xephyr_2%3a1.9.0-0ubuntu7.1_i386.deb) ...
选中了曾被取消选择的软件包 libgjs0a。
正在解压缩 libgjs0a (从 .../libgjs0a_0.7.1-1ubuntu4_i386.deb) ...
选中了曾被取消选择的软件包 gjs。
正在解压缩 gjs (从 .../gjs_0.7.1-1ubuntu4_i386.deb) ...
选中了曾被取消选择的软件包 gnome-shell。
正在解压缩 gnome-shell (从 .../gnome-shell_2.31.5-2ubuntu2_i386.deb) ...
正在处理用于 man-db 的触发器...
正在处理用于 python-gmenu 的触发器...
Rebuilding /usr/share/applications/desktop.zh_CN.utf8.cache...
正在处理用于 desktop-file-utils 的触发器...
正在处理用于 libglib2.0-0 的触发器...
正在处理用于 gconf2 的触发器...
正在处理用于 python-support 的触发器...
正在设置 gir1.0-atk-1.0 (1.32.0-0ubuntu1) ...
正在设置 gir1.0-freedesktop (0.9.3-0ubuntu4) ...
正在设置 gir1.0-json-glib-1.0 (0.10.2-2ubuntu2) ...
正在设置 gir1.0-pango-1.0 (1.28.2-0ubuntu1) ...
正在设置 gir1.0-clutter-1.0 (1.2.12-0ubuntu13) ...
正在设置 gir1.0-gconf-2.0 (2.31.91-0ubuntu3.1) ...
正在设置 gir1.0-gdkpixbuf-2.0 (2.22.0-0ubuntu1) ...
正在设置 gir1.0-gtk-2.0 (2.22.0-0ubuntu1) ...
正在设置 gir1.0-mutter-2.31 (2.31.5-0ubuntu9) ...
正在设置 xserver-xephyr (2:1.9.0-0ubuntu7.1) ...
正在设置 libgjs0a (0.7.1-1ubuntu4) ...
正在设置 gjs (0.7.1-1ubuntu4) ...
正在设置 gnome-shell (2.31.5-2ubuntu2) ...
正在处理用于 libc-bin 的触发器...
ldconfig deferred processing now taking place
localuser@localhost:/$ 
头像
0xcoffee
帖子: 149
注册时间: 2010-10-21 10:54
来自: Alpha Centauri
送出感谢: 0
接收感谢: 0

Re: 怎样启动Gnome

#10

帖子 0xcoffee » 2010-12-20 23:01

10.10测试一切正常.
查了下,debian论坛说装libdconf0即可解决.
参考:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595598
Once you use Arch, you'll never go back.
Arch用得太舒服懒得去玩其他Distro了...
头像
Yume
帖子: 1015
注册时间: 2010-05-24 12:16
送出感谢: 0
接收感谢: 0

Re: 怎样启动Gnome

#11

帖子 Yume » 2010-12-21 13:30

字体很好看,时华康少女字体吧?
回复

回到 “老旧版本支持”